/*
 * card-mcrd.h: some functions needed by esteid.c 
 *
 * Copyright (C) 2002  Marie Fischer <marie@vtl.ee>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _CARD_MCRD_H
#define _CARD_MCRD_H

#include <stdio.h>

#ifdef HAVE_PTHREAD
#include <pthread.h>
#endif

#ifdef  __cplusplus
extern "C" {
#endif


int mcrd_delete_ref_to_authkey(struct sc_card *card);
int mcrd_delete_ref_to_signkey(struct sc_card *card);
int mcrd_set_decipher_key_ref(struct sc_card *card,int key_reference);
int mcrd_encrypt( struct sc_card *card,
			const u8 * data, size_t datalen,
                        u8 * out, size_t outlen);

#ifdef  __cplusplus
}
#endif

#endif
